=== debian/changelog ===
lomiri-clock-app (3.13~git20221027.60c85a4-2) unstable; urgency=medium

  * Upload to unstable source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Nov 2022 22:08:05 +0100

lomiri-clock-app (3.13~git20221027.60c85a4-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1023017).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 29 Oct 2022 11:34:21 +0200
