=== debian/control ===
Source: lomiri-clock-app
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               intltool,
               python3 | python3-all | python3-dev | python3-all-dev,
               python3-minimal,
               libgeonames-dev,
               lomiri-sounds,
               suru-icon-theme,
               qml-module-qttest,
               qml-module-qtsysteminfo,
               qml-module-qt-labs-settings,
               qml-module-u1db,
               qml-module-qtmultimedia,
               qml-module-qtpositioning,
               qml-module-lomiri-content,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qml-module-qt-labs-folderlistmodel,
               qml-module-lomiri-components,
               qml-module-lomiri-layouts,
               qml-module-lomiri-test,
               xauth,
               xvfb,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-clock-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-clock-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-clock-app

Package: lomiri-clock-app
Architecture: any
Depends: qmlscene,
         qml-module-u1db,
         qml-module-lomiri-components,
         qml-module-lomiri-layouts,
         qml-module-qtquick-xmllistmodel,
         qml-module-qtmultimedia,
         qml-module-qtpositioning,
         qml-module-lomiri-content,
         lomiri-sounds,
         suru-icon-theme | ubuntu-mobile-icons,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Clock App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Clock App.
