## lomiri-clock-app 3.13~git20221230.b2aca5c

=== debian/changelog ===
lomiri-clock-app (3.13~git20221230.b2aca5c-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * debian/patches:
    + Add 1001_reenable-tests.patch,
      0001_tests-unit-tst_alarmSound.qml-Adjust-to-internal-API.patch.
      Fix autopkgtest runs.
    + Add 0002_backend-modules-Alarm-settings.cpp-Use-DBus-interfac.patch.
      Use ayatana-indicator-datetime DBus interface rather than
      Ubuntu's indicator-datetime's.
  * debian/tests:
    + Drop autopilot autopkgtest. Autopilot is not available in Debian.
      (Closes: #1023579).
  * debian/tests/control:
    + Drop qt5-default. Virtual package.
    + Update Depends: field, now this provides all required dependencies for
      running the unit tests as autopkgtest.
  * debian/rules:
    + Drop autopilot test files before running dh_install.

  [ Marius Gripsgard ]
  * debian/control:
    + Add missing runtime dep

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Nov 2022 15:42:05 +0100
