=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=3.13~git%cd.%h" \
https://gitlab.com/ubports/development/apps/lomiri-clock-app \
HEAD debian uupdate
