## lomiri-clock-app 4.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project(lomiri-clock-app C CXX)
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.5)
+project(lomiri-clock-app VERSION 4.0.0 LANGUAGES CXX)
 
 include(FindPkgConfig)
 
@@ -10,7 +10,6 @@
 find_package(Qt5Qml)
 find_package(Qt5Quick)
 find_package(Qt5DBus)
-#find_package(ubuntu-sdk-libs)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -109,8 +108,7 @@
 add_subdirectory(app)
 add_subdirectory(backend)
 add_subdirectory(po)
-#Disabling autopilot tests for now due to CI issues
-#add_subdirectory(tests)
+add_subdirectory(tests)
 
 # make the README files visible in qtcreator
 file(GLOB README_FILES
