=== debian/changelog ===
lomiri-clock-app (4.0.0-1) unstable; urgency=medium

  * New usptream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/patches:
    + Drop all patches. All applied upstream.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/rules:
    + Drop dh_install override. Not needed anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 22:17:06 +0100
