## lomiri-clock-app 4.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-clock-app VERSION 4.0.0 LANGUAGES CXX)
+project(lomiri-clock-app VERSION 4.0.1 LANGUAGES CXX)
 
 include(FindPkgConfig)
