=== debian/changelog ===
lomiri-clock-app (4.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 11:49:16 +0100
