=== app/stopwatch/CMakeLists.txt ===
set(STOPWATCH_QML_JS_FILES
    LapListView.qml
    LapsListDelegate.qml
    StopwatchFace.qml
    StopwatchPage.qml
)

# make the files visible in the qtcreator tree
add_custom_target(lomiri-clock-app_stopwatch_QMlFiles ALL SOURCES ${STOPWATCH_QML_JS_FILES})

install(FILES ${STOPWATCH_QML_JS_FILES} DESTINATION ${LOMIRI-CLOCK_APP_DIR}/stopwatch)
