=== debian/changelog ===
lomiri-clock-app (4.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Translation updates.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 15:03:35 +0100
