=== debian/control ===
--- 
+++ 
@@ -45,6 +45,7 @@
          qml-module-qtmultimedia,
          qml-module-qtpositioning,
          qml-module-lomiri-content,
+         qml-module-usermetrics,
          lomiri-sounds,
          suru-icon-theme | ubuntu-mobile-icons,
          ${misc:Depends},
