=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,6 @@
 	CTEST_OUTPUT_ON_FAILURE=1 make -C obj-$(DEB_HOST_GNU_TYPE) test
 endif
 
-override_dh_install:
-	rm debian/lomiri-clock-app/usr/lib/python3 -Rv
-	dh_install
-
 override_dh_missing:
 	dh_missing --fail-missing
