=== debian/tests/control ===
Tests: make-test
Depends: cmake,
         make,
         libqt5test5,
         libgeonames-dev,
         qml-module-qttest,
         qml-module-lomiri-components,
         qml-module-lomiri-content,
         qml-module-lomiri-test,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtmultimedia,
         qml-module-u1db,
         qtbase5-dev,
         qtdeclarative5-dev,
         qtdeclarative5-dev-tools,
         xauth,
         xvfb,
Restrictions: build-needed
