=== app/components/CMakeLists.txt ===
set(COMPONENTS_QML_JS_FILES
    AlarmBottomEdge.qml
    ActionIcon.qml
    AnalogMode.qml
    AnalogShadow.qml
    Circle.qml
    Clock.qml
    ClockCircle.qml
    DigitalMode.qml
    DigitalShadow.qml
    EmptyState.qml
    ExpandableListItem.qml
    NavigationRow.qml
    Information.qml
    NestedListviewsHack.qml
    Shadow.qml
    AdjustableAnalogClock.qml
    TimerUtils.qml
    BottomSwipeArea.qml
    ClockAppUtils.qml
    ListItemHeader.qml
)

# make the files visible in the qtcreator tree
add_custom_target(lomiri-clock-app_components_QMlFiles ALL SOURCES ${COMPONENTS_QML_JS_FILES})

install(FILES ${COMPONENTS_QML_JS_FILES} DESTINATION ${LOMIRI-CLOCK_APP_DIR}/components)
