=== tests/autopilot/CMakeLists.txt ===
execute_process(COMMAND python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

if(INSTALL_TESTS)
    install(DIRECTORY ${AUTOPILOT_DIR}
        DESTINATION ${PYTHON_PACKAGE_DIR}
        )
endif(INSTALL_TESTS)
