=== debian/changelog ===
lomiri-clock-app (4.0.3-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:44 +1100

lomiri-clock-app (4.0.3-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:44:15 +0000

lomiri-clock-app (4.0.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:34:50 +0000

lomiri-clock-app (4.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/rules:
    + Remove not needed migration script (Ubuntu Touch specific).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 00:37:02 +0100
