=== debian/watch ===
version=4
https://gitlab.com/ubports/development/apps/lomiri-clock-app/tags .*/lomiri-clock-app-v(\d\S+)\.tar\.gz
