## lomiri-clock-app 4.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-clock-app VERSION 4.0.3 LANGUAGES CXX)
+project(lomiri-clock-app VERSION 4.0.4 LANGUAGES CXX)
 
 include(FindPkgConfig)
 
@@ -36,7 +36,6 @@
 set(ICON_FILE               clock-app.svg)
 set(SPLASH_FILE             clock-app-splash.svg)
 SET(AUTOPILOT_DIR           lomiri_clock_app)
-set(URLS_FILE               "${CLICK_NAME}_${APP_NAME}.url-dispatcher")
 
 #set install paths
 if(CLICK_MODE)
@@ -61,6 +60,7 @@
         set(SOURCE lp:${APP_HARDCODE})
         message("-- Setting SOURCE to ${SOURCE}")
     endif(NOT SOURCE)
+  set(URLS_FILE               "${CLICK_NAME}_${APP_NAME}.url-dispatcher")
 
 else(CLICK_MODE)
   set(LOMIRI-CLOCK_APP_DIR "${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE}")
@@ -71,6 +71,7 @@
     )
   set(MODULE_PATH ${QT_IMPORTS_DIR}/ClockApp)
   set(ICON ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CLOCK_APP_DIR}/${ICON_FILE})
+  set(URLS_FILE               "${APP_HARDCODE}.url-dispatcher")
 endif(CLICK_MODE)
 
 if(${CLICK_MODE})
@@ -92,7 +93,9 @@
   set(EXEC "qmlscene $@ -I ${MODULE_PATH}  ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CLOCK_APP_DIR}/${MAIN_QML}")
 endif()
 
-install(FILES ${URLS_FILE} DESTINATION "${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls")
+install(FILES "${APP_HARDCODE}.url-dispatcher"
+        DESTINATION "${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls"
+        RENAME ${URLS_FILE})
 
 configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
