=== debian/changelog ===
lomiri-clock-app (4.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 30 Jun 2024 13:36:50 +0200
