=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-clock-app
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake,
@@ -30,7 +29,7 @@
                qml-module-lomiri-test,
                xauth,
                xvfb,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-clock-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-clock-app.git
