## lomiri-clock-app 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-clock-app VERSION 4.0.4 LANGUAGES CXX)
+project(lomiri-clock-app VERSION 4.1.0 LANGUAGES CXX)
 
 include(FindPkgConfig)
 
@@ -23,7 +23,7 @@
 option(CLICK_MODE "Build as a click package" on)
 option(USE_XVFB "Use XVFB to run qml tests" on)
 
-enable_testing()
+include(CTest)
 
 # Standard install paths
 include(GNUInstallDirs)
@@ -38,13 +38,18 @@
 SET(AUTOPILOT_DIR           lomiri_clock_app)
 
 #set install paths
+
 if(CLICK_MODE)
   set(CMAKE_INSTALL_PREFIX "/")
-  set(LOMIRI-CLOCK_APP_DIR    "${CMAKE_INSTALL_DATADIR}/qml")
+endif(CLICK_MODE)
 
+set(LOMIRI-CLOCK_APP_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${APP_HARDCODE}")
+
+if(CLICK_MODE)
   set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}")
-  set(MODULE_PATH ${QT_IMPORTS_DIR})
+  set(MODULE_PATH ${QT_IMPORTS_DIR}/ClockApp)
   set(ICON ${ICON_FILE})
+  set(SPLASH ${SPLASH_FILE})
     if(NOT SOURCE)
         execute_process(
             COMMAND git remote -v
@@ -63,18 +68,18 @@
   set(URLS_FILE               "${CLICK_NAME}_${APP_NAME}.url-dispatcher")
 
 else(CLICK_MODE)
-  set(LOMIRI-CLOCK_APP_DIR "${CMAKE_INSTALL_DATADIR}/${APP_HARDCODE}")
   execute_process(
     COMMAND qmake -query QT_INSTALL_QML
             OUTPUT_VARIABLE QT_IMPORTS_DIR
             OUTPUT_STRIP_TRAILING_WHITESPACE
     )
   set(MODULE_PATH ${QT_IMPORTS_DIR}/ClockApp)
-  set(ICON ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CLOCK_APP_DIR}/${ICON_FILE})
+  set(ICON ${LOMIRI-CLOCK_APP_DIR}/${ICON_FILE})
+  set(SPLASH ${LOMIRI-CLOCK_APP_DIR}/${SPLASH_FILE})
   set(URLS_FILE               "${APP_HARDCODE}.url-dispatcher")
 endif(CLICK_MODE)
 
-if(${CLICK_MODE})
+if(CLICK_MODE)
   message("-- Configuring manifest.json")
 
   execute_process(
@@ -87,10 +92,11 @@
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION ${CMAKE_INSTALL_PREFIX})
   install(FILES "${APP_HARDCODE}.json" DESTINATION ${CMAKE_INSTALL_PREFIX})
   install(PROGRAMS lomiri-clock-app-migrate.py DESTINATION ${CMAKE_INSTALL_PREFIX})
-  set(EXEC "lomiri-clock-app-migrate.py qmlscene -I ${MODULE_PATH} %U ${LOMIRI-CLOCK_APP_DIR}/${MAIN_QML}")
+  # Not FULL because under APP_DIR
+  set(EXEC "lomiri-clock-app-migrate.py ${CMAKE_INSTALL_BINDIR}/${APP_HARDCODE}")
 else(CLICK_MODE)
-  install(PROGRAMS lomiri-clock-app-migrate.py DESTINATION ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CLOCK_APP_DIR})
-  set(EXEC "qmlscene $@ -I ${MODULE_PATH}  ${CMAKE_INSTALL_PREFIX}/${LOMIRI-CLOCK_APP_DIR}/${MAIN_QML}")
+  install(PROGRAMS lomiri-clock-app-migrate.py DESTINATION ${LOMIRI-CLOCK_APP_DIR})
+  set(EXEC "${APP_HARDCODE}")
 endif()
 
 install(FILES "${APP_HARDCODE}.url-dispatcher"
@@ -113,7 +119,10 @@
 add_subdirectory(app)
 add_subdirectory(backend)
 add_subdirectory(po)
-add_subdirectory(tests)
+
+if(BUILD_TESTING)
+  add_subdirectory(tests)
+endif(BUILD_TESTING)
 
 # make the README files visible in qtcreator
 file(GLOB README_FILES
@@ -127,6 +136,6 @@
                     DEPENDS timezone timezone-qmldir alarmsettings alarmsettings-qmldir datetime datetime-qmldir geolocation geolocation-qmldir
                     WORKING_DIRECTORY ./app)
 
-add_custom_target("run" /usr/bin/qmlscene -I ${CMAKE_BINARY_DIR}/backend  ${CMAKE_SOURCE_DIR}/app/lomiri-clock-app.qml
-                    DEPENDS timezone timezone-qmldir alarmsettings alarmsettings-qmldir datetime datetime-qmldir geolocation geolocation-qmldir
+add_custom_target("run" ${APP_HARDCODE} -I ${CMAKE_BINARY_DIR}/backend -q ${CMAKE_SOURCE_DIR}/app/lomiri-clock-app.qml
+                    DEPENDS ${APP_HARDCODE} timezone timezone-qmldir alarmsettings alarmsettings-qmldir datetime datetime-qmldir geolocation geolocation-qmldir
                     WORKING_DIRECTORY ./app)
