=== app/CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,38 @@
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
-  file(GLOB QML_JS_FILES *.qml *.js *.png *.svg)
+  file(GLOB_RECURSE QML_JS_FILES *.qml *.js *.png *.svg)
   add_custom_target(lomiri-clock-app_QMlFiles ALL SOURCES ${QML_JS_FILES})
 endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
 
+list(APPEND ${APP_HARDCODE}_SRCS
+  main.cpp
+)
+
+configure_file(config.hpp.in ${CMAKE_CURRENT_BINARY_DIR}/config.hpp @ONLY)
+
+list(APPEND ${APP_HARDCODE}_SRCS
+  ${CMAKE_CURRENT_BINARY_DIR}/config.hpp
+)
+
+add_executable(${APP_HARDCODE} ${${APP_HARDCODE}_SRCS})
+
+target_include_directories(${APP_HARDCODE} PRIVATE
+  ${CMAKE_CURRENT_BINARY_DIR}
+)
+
+target_link_libraries(${APP_HARDCODE} PUBLIC
+  Qt5::Core
+  Qt5::Qml
+  Qt5::Quick
+)
+
+install(TARGETS ${APP_HARDCODE} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 if(CLICK_MODE)
-  set(ICON ${ICON})
-  install(FILES ${ICON} DESTINATION ${CMAKE_INSTALL_PREFIX})
+  install(FILES ${ICON_FILE} DESTINATION ${CMAKE_INSTALL_PREFIX})
   install(FILES ${SPLASH_FILE} DESTINATION ${CMAKE_INSTALL_PREFIX})
 else(CLICK_MODE)
   install(FILES ${ICON_FILE} DESTINATION ${LOMIRI-CLOCK_APP_DIR})
+  install(FILES ${SPLASH_FILE} DESTINATION ${LOMIRI-CLOCK_APP_DIR})
 endif(CLICK_MODE)
 
 install(FILES ${MAIN_QML} DESTINATION ${LOMIRI-CLOCK_APP_DIR})
