=== backend/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 add_definitions(
   -DGETTEXT_PACKAGE=\"${PROJECT_NAME}\"
-  -DGETTEXT_LOCALEDIR=\"${CMAKE_INSTALL_LOCALEDIR}\"
+  -DGETTEXT_LOCALEDIR=\"${CMAKE_INSTALL_FULL_LOCALEDIR}\"
   -DQT_NO_KEYWORDS
 )
 
@@ -59,19 +59,19 @@
 )
 
 set_target_properties(alarm PROPERTIES
-    LIBRARY_OUTPUT_DIRECTORY Alarm
+    LIBRARY_OUTPUT_DIRECTORY ClockApp/Alarm
 )
 
 set_target_properties(worldclock PROPERTIES
-    LIBRARY_OUTPUT_DIRECTORY WorldClock
+    LIBRARY_OUTPUT_DIRECTORY ClockApp/WorldClock
 )
 
 set_target_properties(stopwatch PROPERTIES
-    LIBRARY_OUTPUT_DIRECTORY Stopwatch/
+    LIBRARY_OUTPUT_DIRECTORY ClockApp/Stopwatch
 )
 
 set_target_properties(timer PROPERTIES
-    LIBRARY_OUTPUT_DIRECTORY Timer/
+    LIBRARY_OUTPUT_DIRECTORY ClockApp/Timer
 )
 
 target_link_libraries(alarm PUBLIC Qt5::Gui Qt5::Qml Qt5::Quick Qt5::DBus)
@@ -85,22 +85,22 @@
 
 # Copy qmldir file to build dir for running in QtCreator
 add_custom_target(alarm-qmldir ALL
-    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/modules/Alarm/qmldir ${CMAKE_CURRENT_BINARY_DIR}/Alarm
+    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/modules/Alarm/qmldir ${CMAKE_CURRENT_BINARY_DIR}/ClockApp/Alarm
     DEPENDS ${QMLFILES}
 )
 
 add_custom_target(worldclock-qmldir ALL
-    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/modules/WorldClock/qmldir ${CMAKE_CURRENT_BINARY_DIR}/WorldClock
+    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/modules/WorldClock/qmldir ${CMAKE_CURRENT_BINARY_DIR}/ClockApp/WorldClock
     DEPENDS ${QMLFILES}
 )
 
 add_custom_target(stopwatch-qmldir ALL
-    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/modules/Stopwatch/qmldir ${CMAKE_CURRENT_BINARY_DIR}/Stopwatch
+    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/modules/Stopwatch/qmldir ${CMAKE_CURRENT_BINARY_DIR}/ClockApp/Stopwatch
     DEPENDS ${QMLFILES}
 )
 
 add_custom_target(timer-qmldir ALL
-    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/modules/Timer/qmldir ${CMAKE_CURRENT_BINARY_DIR}/Timer
+    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/modules/Timer/qmldir ${CMAKE_CURRENT_BINARY_DIR}/ClockApp/Timer
     DEPENDS ${QMLFILES}
 )
