=== debian/changelog ===
lomiri-clock-app (4.1.0-3) unstable; urgency=medium

  * debian/tests:
    + Drop autopkgtest config. Unit tests run at build-time now. (Closes:
      #1093040).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Jan 2025 11:00:16 +0100

lomiri-clock-app (4.1.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 2001_disable-splash-screen.patch. Hide splash screen to work-around
      awkward positioning of the Clock App which makes it impossible to reach
      the app's top window bar.
    + Add 2002_hide-on-other-desktops.patch. Hide Lomiri's Clock App on
      non-Lomiri DEs.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 08 Jan 2025 09:13:07 +0100

lomiri-clock-app (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Drop from D: qmlscene.
    + Add to B-D: pkgconf.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Nov 2024 13:35:19 +0100
