=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                libgeonames-dev,
                lomiri-sounds,
                suru-icon-theme,
+               pkgconf,
                qml-module-qttest,
                qml-module-qtsysteminfo,
                qml-module-qt-labs-settings,
@@ -37,8 +38,7 @@
 
 Package: lomiri-clock-app
 Architecture: any
-Depends: qmlscene,
-         qml-module-u1db,
+Depends: qml-module-u1db,
          qml-module-lomiri-components,
          qml-module-lomiri-layouts,
          qml-module-qtquick-xmllistmodel,
