## lomiri-clock-app 4.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-clock-app VERSION 4.1.0 LANGUAGES CXX)
+project(lomiri-clock-app VERSION 4.1.1 LANGUAGES CXX)
 
 include(FindPkgConfig)
 
@@ -10,6 +10,7 @@
 find_package(Qt5Qml)
 find_package(Qt5Quick)
 find_package(Qt5DBus)
+find_package(Intl REQUIRED)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
