=== app/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
   Qt5::Core
   Qt5::Qml
   Qt5::Quick
+  ${Intl_LIBRARIES}
 )
 
 install(TARGETS ${APP_HARDCODE} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
