=== backend/CMakeLists.txt ===
--- 
+++ 
@@ -36,12 +36,6 @@
     modules/Stopwatch/formattime.cpp
 )
 
-set(
-    timer_SRCS
-    modules/Timer/backend.cpp
-    modules/Timer/timerengine.cpp
-)
-
 add_library(alarm MODULE
     ${alarm_SRCS}
 )
@@ -52,10 +46,6 @@
 
 add_library(stopwatch MODULE
     ${stopwatch_SRCS}
-)
-
-add_library(timer MODULE
-    ${timer_SRCS}
 )
 
 set_target_properties(alarm PROPERTIES
@@ -70,18 +60,12 @@
     LIBRARY_OUTPUT_DIRECTORY ClockApp/Stopwatch
 )
 
-set_target_properties(timer PROPERTIES
-    LIBRARY_OUTPUT_DIRECTORY ClockApp/Timer
-)
-
 target_link_libraries(alarm PUBLIC Qt5::Gui Qt5::Qml Qt5::Quick Qt5::DBus)
 
 target_include_directories(worldclock PUBLIC ${GEONAMES_INCLUDE_DIRS})
 target_link_libraries(worldclock PUBLIC ${GEONAMES_LDFLAGS} Qt5::Gui Qt5::Qml Qt5::Quick)
 
 target_link_libraries(stopwatch PUBLIC Qt5::Qml)
-
-target_link_libraries(timer PUBLIC Qt5::Qml)
 
 # Copy qmldir file to build dir for running in QtCreator
 add_custom_target(alarm-qmldir ALL
@@ -99,11 +83,6 @@
     DEPENDS ${QMLFILES}
 )
 
-add_custom_target(timer-qmldir ALL
-    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/modules/Timer/qmldir ${CMAKE_CURRENT_BINARY_DIR}/ClockApp/Timer
-    DEPENDS ${QMLFILES}
-)
-
 # Install plugin file
 install(TARGETS alarm DESTINATION ${MODULE_PATH}/Alarm/)
 install(FILES   modules/Alarm/qmldir DESTINATION ${MODULE_PATH}/Alarm/)
@@ -113,6 +92,3 @@
 
 install(TARGETS stopwatch DESTINATION ${MODULE_PATH}/Stopwatch/)
 install(FILES   modules/Stopwatch/qmldir DESTINATION ${MODULE_PATH}/Stopwatch/)
-
-install(TARGETS timer DESTINATION ${MODULE_PATH}/Timer/)
-install(FILES   modules/Timer/qmldir DESTINATION ${MODULE_PATH}/Timer/)
