=== app/timer/CMakeLists.txt ===
set(TIMER_QML_JS_FILES
    TimerFace.qml
    TimerPage.qml
    TimerListDelegate.qml
    TimerListView.qml
    ActiveTimers.qml
)

# make the files visible in the qtcreator tree
add_custom_target(lomiri-clock-app_timer_QMlFiles ALL SOURCES ${TIMER_QML_JS_FILES})

install(FILES ${TIMER_QML_JS_FILES} DESTINATION ${LOMIRI-CLOCK_APP_DIR}/timer)
