=== tests/unit/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 find_program(QMLTESTRUNNER_BIN
     NAMES qmltestrunner
-    PATHS /usr/lib/*/qt5/bin
+    PATHS /usr/lib/qt5/bin /usr/lib/*/qt5/bin
 )
 
 if(NOT QMLTESTRUNNER_BIN)
