=== debian/changelog ===
lomiri-clock-app (4.1.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_update-enum-to-typo-fix-in-LUITK.patch. Use correct enum
      according to LUITK Alarm typo fix fixes.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 24 Jul 2025 08:04:53 +0200

lomiri-clock-app (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/lintian-overrides:
    + Drop file. Not needed anymore.
  * debian/patches:
    + Add header to 2002_hide-on-other-desktops.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 14:30:21 +0200
