=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                qml-module-lomiri-test,
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-clock-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-clock-app.git
