=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,10 @@
 	CTEST_OUTPUT_ON_FAILURE=1 make -C obj-$(DEB_HOST_GNU_TYPE) test
 endif
 
+override_dh_install:
+	rm debian/lomiri-clock-app/usr/share/lomiri-clock-app/lomiri-clock-app-migrate.py
+	dh_install
+
 override_dh_missing:
 	dh_missing --fail-missing
